
Redmine - Defect #24008

Remove 'Copied from' / 'Copied to' relationship between issues

2016-10-06 00:11 - Sergey User

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

The 'copy' relationship does not represent actual dependencies between Issues, but rather a way a particular issue was created.

Copying is often done between issues which are not logically related (for instance, just to save time to fill in certain 'Defect' fields;

still, defects themselves are not related). All other types of relations in Redmine are 'real', in a sense that they reflect actual

dependencies affecting project execution and planning. The 'copy' relationship, on the other hand, obfuscates real dependencies

between issues, and therefore is recommended to be removed.

Related issues:

Related to Redmine - Feature #16218: Enable/Disable creation of copied to/fro... Closed

History

#1 - 2016-10-11 14:05 - Holger Just

You can configure this in Administration -> Settings -> Issue tracking -> Link issues on copy.

#2 - 2016-10-12 22:14 - Sergey User

This addresses my specific use-case. I would still recommend to remove it even as a configurable option, for the reasons explained above (and

certainly make it 'Off' by default).

#3 - 2019-10-01 05:19 - Go MAEDA

- Related to Feature #16218: Enable/Disable creation of copied to/from relations added

#4 - 2019-10-01 05:20 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix
